//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.2
import QtQuick.Controls 1.1

import wesual.Editor    1.0
import wesual.Controls  1.0
import wesual.data.Core 1.0

FocusScope {
    id : editor

    readonly property EditContext context : Editor.context
    readonly property bool        busy    : Editor.context.busy

    function createDocument(type) {
        return context.createDocument(type);
    }

    function markActive() {
        context.markActive();
    }

    function markInactive() {
        context.markInactive();
    }

    property string title : ""
}
