//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3
import QtGraphicalEffects 1.0

import wesual.Showcase 1.0
import wesual.data.Core 1.0
import wesual.Controls 1.0

SidebarItem {
    id : editor

    panel : SidebarItem.LeftFixedPanel
    width : parent.width
    height : childrenRect.height
    active : true

    property alias showcaseArea : tabs.showcaseArea

    property alias icons : tabs.icons

    Label {
        id : title

        width : parent.width
        lineHeight : 12
        lineHeightMode : Text.FixedHeight
        text : qsTrId("label.SideBar.Orientation")
    }

    OrientationTabs {
        id : tabs

        anchors.top : title.baseline
        anchors.topMargin : 9

        width : parent.width
    }
}

