//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.5

import wesual.Stage 1.0

import wesual.data.Core 1.0

ListContainer {
    options {
        listLabel         : qsTrId("label.products")
        elementLabel      : qsTrId("label.Product")
        labelProperty     : "data.product.name"
        thumbnailProperty : "data.product.primaryImage"
    }
    dataClass   : "we.captivo.data.ProductBase-1.0"
    containerId : "we.captivo.container.ProductList"

    sidebarAddComponent : "./ProductSidebarAddButton.qml"
    inlineAddComponent  : "./ProductInlineAddButton.qml"

    editContainer : productEditContainer

    ListItemContainer {
        id : productEditContainer

        sidebarEditors : [ "./ProductSidebarEditor.qml" ]
    }
}
