//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.12

import wesual.Ui 1.0

UiContextMenu {
    id : contextMenu

    property Item textEditor

    UiMenuItem {
        text : qsTrId("action.CopyText")
        enabled : textEditor && textEditor.selectedText.length
        onTriggered : textEditor.copy()
    }
    UiMenuItem {
        text : qsTrId("action.Paste")
        enabled : textEditor && !textEditor.readOnly
        onTriggered : textEditor.paste()
    }
    UiMenuItem {
        text : qsTrId("action.Cut")
        enabled : textEditor && textEditor.selectedText.length &&
                  !textEditor.readOnly
        onTriggered : textEditor.cut()
    }
}
