//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3
import QtGraphicalEffects 1.0

import wesual.Showcase 1.0
import wesual.data.Core 1.0
import wesual.Controls 1.0

SidebarItem {
    id : editor

    property alias document : translationEditor.document
    property alias properties : translationEditor.properties

    width : parent.width
    height : childrenRect.height
    active : true

    MouseArea {
        anchors.fill : parent

        onClicked : {}
    }

    TranslationEditor {
        id : translationEditor
    }

    Rectangle {
        anchors.top : translationEditor.bottom
        anchors.topMargin : 9

        height : 1
        width  : parent.width
        color  : UI.color(UI.SecondarySeparationLine)
    }
}
