//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.5

import wesual.Stage 1.0

import wesual.data.Core 1.0

ListContainer {
    id : container

    options {
        listLabel         : qsTrId("label.menus")
        elementLabel      : qsTrId("label.menu")
        addButtonLabel    : qsTrId("label.add.menu")
        labelProperty     : "data.title"
        thumbnailProperty : "data.media"
        defaultThumbnail  : "qrc:/templates/images/defaultthumb-lunchmenu.png"
    }
    dataClass : "we.captivo.data.Menu-1.0"

    onItemCreated : {
        item.data.title = item.data.title + " " + container.items.length;
    }
}
