//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3

import wesual.Controls 1.0
import wesual.Showcase 1.0

import wesual.data.Core        1.0
import wesual.data.FoodService 1.0

SidebarItem {
    id : editor

    property Context context

    signal productPicked(FoodServiceProduct product)

    panel : SidebarItem.RightFixedPanel
    sortIndex : 1
    width : picker.width
    height : picker.height
    active : true

    FoodServiceProductPicker {
        id : picker

        context : editor.context
        onProductPicked: editor.productPicked(product)
    }
}
